﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PMSUI.Config
{
    /// <summary>
    /// 全局数据
    /// </summary>
    [Serializable]
    public class CGlobalData
    {
        public bool gs_IsSavePassword = false;
        public string gs_UserName = "";
        public string gs_Password = "";

        public byte gs_FormBackColor_R = Color.White.R;
        public byte gs_FormBackColor_G = Color.White.G;
        public byte gs_FormBackColor_B = Color.White.B;

        public bool gs_IsShowMaterial = false;              // 是否显示物料信息
        public bool gs_IsUseBatchOpt = false;               // 是否批量操作
        public string gs_DisplayLanguage = "zh-CN";             // 界面显示语言
    }
}
