﻿using CasunCommon.SystemLog;
using Pms.EventLibrary.TaskEvent;
using Pms.EventLibrary.TaskEventArgs;
using Pms.InternalInterface.Controllers;
using Pms.UserEvent.Model;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pms.UserEvent.StepBookEvent
{
    class Behavior_64002 : BaseStepBookEvent
    {
        public Behavior_64002() : base(64002) { }
        CSystemController _SystemController = new CSystemController();
        //SystemEvent.CSystemEvent cSystem = new SystemEvent.CSystemEvent();
        CCarrierController cCCarrierController = new CCarrierController();
        /// <summary>
        /// 创建 步骤簿时 处理此行为码时触发
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected override void StepBookCreate(object sender, P_StepBookCreateEventArgs e)
        {
            //if (MessageBox.Show("是否创建成功！", "触发步骤创建事件", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning) != DialogResult.OK)
            //{
            //    e.IsSuccess = false;
            //}
            //else
            //{
            //    e.IsSuccess = true;
            //}
        }

        /// <summary>
        /// 步骤簿 开始执行时触发
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected override void StepBookStarted(object sender, P_StepBookExecuteEventArgs e)
        {
            //if (MessageBox.Show("是否开始成功！", "触发步骤开始事件", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning) != DialogResult.OK)
            //{
            //    e.IsSuccessed = false;
            //}
            //else
            //{
            //    e.IsSuccessed = true;
            //}
        }

        /// <summary>
        /// 步骤簿 执行中 触发
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected override void StepBookExecuting(object sender, P_StepBookExecuteEventArgs e)
        {
            //if (MessageBox.Show("是否执行成功！", "触发步骤执行中事件", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning) != DialogResult.OK)
            //{
            //    e.IsSuccessed = false;
            //}
            //else
            //{
            //    e.IsSuccessed = true;
            //}
        }
        /// <summary>
        /// 步骤簿 执行结束触发
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected override void StepBookEnd(object sender, P_StepBookExecuteEventArgs e)
        {
            try
            {
                //StringBuilder sb = new StringBuilder();
                //sb.Append($" SELECT * from");
                //sb.Append($" PMS_mid_OrderData");
                //sb.Append($" where OrderID='{e.TaskBook.OrderID}'");
                //DataTable dt_Task = ConDataBase_PMS.reDt(sb.ToString());

                //if (dt_Task != null && dt_Task.Rows != null && dt_Task.Rows.Count > 0)
                //{

                //}
                string updatetime = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");
                StringBuilder Find = new StringBuilder();
                Find.Append($" update  ");
                Find.Append($" t_wh_locationProperty ");
                Find.Append($" set ");
                Find.Append($" Status='2', ");
                Find.Append($" Attribute6='{updatetime}', ");
                Find.Append($" Attribute5='{e.TaskBook.Remark}' ");
                Find.Append($" where ");
                Find.Append($" LocationCode='{e.TaskBook.WareHouse}' ");
                int flag = ConDataBase_WMS.sqlNonQuery(Find.ToString());
                if (true)
                    CLog.Instance.WriteLog("AGV卸料", $"OrderID:【{e.TaskBook.OrderID}】库位状态:【2】");
                e.IsSuccessed = true;
            }
            catch (Exception ex)
            {
                CLog.Instance.WriteLog("AGV卸料", $"OrderID:【{e.TaskBook.OrderID}】异常：【{ex.Message}】");
                throw;
            }
        }


    }
}

