﻿using CasunCommon.SystemLog;
using IOTransmissionAbutment;
using Pms.EventLibrary.TaskEvent;
using Pms.EventLibrary.TaskEventArgs;
using Pms.InternalInterface.Controllers;
using System;
using Pms.UserEvent.CenterManageSystemModel;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pms.UserEvent.StepBookEvent
{
    class UpMaterial_61007 : BaseStepBookEvent
    {
        public UpMaterial_61007() : base(61007) { }
        CSystemController _SystemController = new CSystemController();
        //SystemEvent.CSystemEvent cSystem = new SystemEvent.CSystemEvent();
        CCarrierController cCCarrierController = new CCarrierController();
        protected override void StepBookCreate(object sender, P_StepBookCreateEventArgs e)
        {
            //if (MessageBox.Show("是否创建成功！", "触发步骤创建事件", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning) != DialogResult.OK)
            //{
            //    e.IsSuccess = false;
            //}
            //else
            //{
            //    e.IsSuccess = true;
            //}
        }

        /// <summary>
        /// 步骤簿 开始执行时触发
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected override void StepBookStarted(object sender, P_StepBookExecuteEventArgs e)
        {
            //if (MessageBox.Show("是否开始成功！", "触发步骤开始事件", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning) != DialogResult.OK)
            //{
            //    e.IsSuccessed = false;
            //}
            //else
            //{
            //    e.IsSuccessed = true;
            //}
        }

        /// <summary>
        /// 步骤簿 执行中 触发
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected override void StepBookExecuting(object sender, P_StepBookExecuteEventArgs e)
        {
            //if (MessageBox.Show("是否执行成功！", "触发步骤执行中事件", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning) != DialogResult.OK)
            //{
            //    e.IsSuccessed = false;
            //}
            //else
            //{
            //    e.IsSuccessed = true;
            //}
        }
        /// <summary>
        /// 步骤簿 执行结束触发
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected override void StepBookEnd(object sender, P_StepBookExecuteEventArgs e)
        {
            try
            {
                IOTransmissionDevice device;
                device = DeviceManager.GetRollerDevice($"{e.TaskBook.WareHouse}");
                //device.Y2 = true;
                //device.SendCmd(device.ID);
                if (device != null)
                {
                    //if (device.X4)
                    //{
                    e.IsSuccessed = true;
                    CLog.Instance.WriteLog("61007", $"OrderID:【{e.TaskBook.OrderID}】,库位{device.Name},完成");
                    device.Carrier = 0;
                    Global.dictWareHouseAbutment[e.TaskBook.WareHouse].FinishTime = DateTime.Now;
                    Global.dictWareHouseAbutment[e.TaskBook.WareHouse].OrderID = "";
                    Global.dictWareHouseAbutment[e.TaskBook.WareHouse].AbutmentStatus = AbutmentStatus.Unready;
                    device.Y1 = false;
                    device.Y2 = false;
                    //CLog.Instance.WriteLog("注塑机:放满箱", $"OrderID:【{e.TaskBook.OrderID}】devicedevice.Y1 :[{device.Y2 }]");
                    //}
                    //else
                    //{
                    //    e.IsSuccessed = false;
                    //    CLog.Instance.WriteLog("注塑机:取空箱", $"OrderID:【{e.TaskBook.OrderID}】device.X2:[禁止]");
                    //}
                }
                else
                {
                    e.IsSuccessed = false;
                    CLog.Instance.WriteLog("61006", $"OrderID:【{e.TaskBook.OrderID}】,库位{e.TaskBook.WareHouse}设备为null");
                }
            }
            catch (Exception ex)
            {
                CLog.Instance.WriteLog("61006_Error", $"OrderID:【{e.TaskBook.OrderID}】异常：【{ex.Message}】异常明细[{ex.StackTrace}]");
            }
        }
    }
}

