﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pms.UserEvent
{
    public enum AbutmentStatus { Unready, Assigning, Finished }
    public class WareHouseAbutment
    {
        private string _WareHouseLocation;
        private AbutmentStatus _AbutmentStatus;
        private string _OrderID;
        private int _PlatType;
        private string _RelatedWareHouseLocation;
        private DateTime _AsignedTime = DateTime.MaxValue;
        private int _CallAGVType;
        public virtual string WareHouseLocation
        {
            get
            {
                return _WareHouseLocation;
            }

            set
            {
                _WareHouseLocation = value;
            }
        }
        public virtual string RelatedWareHouseLocation
        {
            get
            {
                return _RelatedWareHouseLocation;
            }

            set
            {
                _RelatedWareHouseLocation = value;
            }
        }
        public virtual DateTime FinishTime
        {
            get
            {
                return _AsignedTime;
            }

            set
            {
                _AsignedTime = value;
            }
        }
        public virtual string OrderID
        {
            get
            {
                return _OrderID;
            }

            set
            {
                if (_OrderID != value)
                {
                    _OrderID = value;
                }
            }
        }
        public virtual AbutmentStatus AbutmentStatus
        {
            get
            {
                return _AbutmentStatus;
            }
            set
            {
                if (_AbutmentStatus != value)
                {
                    _AbutmentStatus = value;
                }
            }
        }
        public virtual int PlatType
        {
            get
            {
                return _PlatType;
            }
            set
            {
                if (_PlatType != value)
                {
                    _PlatType = value;
                }
            }
        }
        public virtual int CallAGVType
        {
            get
            {
                return _CallAGVType;
            }
            set
            {
                if (_CallAGVType != value)
                {
                    _CallAGVType = value;
                }
            }
        }
    }
}

