﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Timers;
using System.Windows.Forms;
using ResetWarning.Model;

namespace ResetWarning
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitTimer();
            StringBuilder sb = new StringBuilder();
            sb.Append($" select");
            sb.Append($" _AlarmFlag");
            sb.Append($" from");
            sb.Append($" T_ErrorTable");
            sb.Append($" group by");
            sb.Append($" _AlarmFlag");
            DataTable dts = ConDataBase_PMS.reDt(sb.ToString());
            if (dts != null && dts.Rows != null && dts.Rows.Count > 0)
            {
                switch (int.Parse(dts.Rows[0]["_AlarmFlag"].ToString()))
                {
                    case 0:
                        btn_start.ForeColor = Color.Red;
                        btn_start.BackColor = Color.Green;
                        break;
                    case 1:
                        btn_Stop.ForeColor = Color.Yellow;
                        btn_Stop.BackColor = Color.Red;
                        break;
                    default:
                        btn_start.ForeColor = Color.Red;
                        btn_start.BackColor = Color.White;

                        btn_Stop.ForeColor = Color.Red;
                        btn_Stop.BackColor = Color.White;
                        break;
                }
            }
        }

        System.Timers.Timer timer;
        int conuntDownDate = 0;
        private void InitTimer()
        {
            timer = new System.Timers.Timer(1000);
            timer.AutoReset = true;
            timer.Enabled = true;
            timer.Elapsed += new System.Timers.ElapsedEventHandler(Countdown);
            timer.Stop();
        }

        private void Countdown(object sender, ElapsedEventArgs e)
        {

        }

        private void btn_start_Click(object sender, EventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append($" update");
            sb.Append($" T_ErrorTable");
            sb.Append($" set");
            sb.Append($" _AlarmFlag='0'");
            int flag = ConDataBase_PMS.sqlNonQuery(sb.ToString());
            if (flag > 0)
            {
                btn_start.ForeColor = Color.Red;
                btn_start.BackColor = Color.Green;

                btn_Stop.ForeColor = Color.Red;
                btn_Stop.BackColor = Color.White;
            }
        }

        private void btn_Stop_Click(object sender, EventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append($" update");
            sb.Append($" T_ErrorTable");
            sb.Append($" set");
            sb.Append($" _AlarmFlag='1'");
            int flag = ConDataBase_PMS.sqlNonQuery(sb.ToString());
            if (flag > 0)
            {
                btn_Stop.ForeColor = Color.Yellow;
                btn_Stop.BackColor = Color.Red;

                btn_start.ForeColor = Color.Red;
                btn_start.BackColor = Color.White;
            }
        }

        private void 参数设置ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            FrmErrorMsgSetting fs = new FrmErrorMsgSetting();
            fs.ShowDialog();
        }

        private void 报警灯参数设置ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            FrmAlarmSetting fs = new FrmAlarmSetting();
            fs.ShowDialog();
        }
    }
}
