﻿using ResetWarning.Model;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ResetWarning
{
    public partial class FrmErrorMsgSetting : Form
    {
        public FrmErrorMsgSetting()
        {
            InitializeComponent();
        }
        private void Querry()
        {
            StringBuilder sb = new StringBuilder();
            sb.Append($" SELECT");
            sb.Append($" _ErrorID 异常代码,_ErrorName 异常名称,");
            sb.Append($" _ErrorStatus 是否启用,_ErrorOpenDate 上报延时");
            sb.Append($" FROM");
            sb.Append($" T_ErrorTable");
            DataTable dt = ConDataBase_PMS.reDt(sb.ToString());
            dgv1.DataSource = dt;
        }
        private void btn_Update_Click(object sender, EventArgs e)
        {
            //DateTime dt = DateTime.Now;
            //int times = 0;
            //if (!int.TryParse(txt_time.Text.Trim(), out times))
            //{
            //    MessageBox.Show($"上报延时只能为整数数字");
            //    txt_time.Text = "0";
            //    return;
            //}
            int Status = chx_Is.Checked ? 1 : 0;
            StringBuilder sb = new StringBuilder();
            sb.Append($" update");
            sb.Append($" T_ErrorTable");
            sb.Append($" set");
            sb.Append($" _ErrorStatus='{Status}',_ErrorOpenDate='{cbx_times.Text.Trim()}'");
            sb.Append($" where ");
            sb.Append($" _ErrorID='{txt_Code.Text.Trim()}'");
            int flag = ConDataBase_PMS.sqlNonQuery(sb.ToString());
            if (flag > 0)
            {
                //lbl_Msg.Visible = true;
                //if (DateTime.Now > dt.AddSeconds(5))
                //{
                //    lbl_Msg.Visible = false;
                //}
                MessageBox.Show($"更新成功");
                Querry();
            }
        }

        private void btn_Refresh_Click(object sender, EventArgs e)
        {
            Querry();
        }

        private void FrmErrorMsgSetting_Load(object sender, EventArgs e)
        {
            Querry();
        }

        private void dgv1_CellMouseClick(object sender, DataGridViewCellMouseEventArgs e)
        {

            int DGVCurrentRow = e.RowIndex;
            if (DGVCurrentRow != -1 && dgv1.Rows[DGVCurrentRow] != null)
            {
                txt_Code.Text = dgv1.Rows[DGVCurrentRow].Cells["异常代码"].Value.ToString().Trim();
                txt_Name.Text = dgv1.Rows[DGVCurrentRow].Cells["异常名称"].Value.ToString().Trim();
                switch (int.Parse(dgv1.Rows[DGVCurrentRow].Cells["是否启用"].Value.ToString().Trim()))
                {
                    case 0:
                        chx_Is.Checked = false;
                        break;
                    case 1:
                        chx_Is.Checked = true;
                        break;
                }
                cbx_times.Text = dgv1.Rows[DGVCurrentRow].Cells["上报延时"].Value.ToString().Trim();
                //lbl_Mark.Text = dgv1.Rows[DGVCurrentRow].Cells["工位地标"].Value.ToString().Trim();
                //lbl_Route.Text = dgv1.Rows[DGVCurrentRow].Cells["工位路线"].Value.ToString().Trim();

                //route = txt_Station_Route.Text.Trim();
                //mark = txt_Station_Mark.Text.Trim();
                //name = txt_Station_Name.Text.Trim();
            }
        }

        private void dgv1_RowPostPaint(object sender, DataGridViewRowPostPaintEventArgs e)
        {
            //自动编号，与数据无关
            Rectangle rectangle = new Rectangle(e.RowBounds.Location.X, e.RowBounds.Location.Y, dgv1.RowHeadersWidth - 4, e.RowBounds.Height);
            TextRenderer.DrawText(e.Graphics, (e.RowIndex + 1).ToString(), dgv1.RowHeadersDefaultCellStyle.Font, rectangle, dgv1.RowHeadersDefaultCellStyle.ForeColor, TextFormatFlags.VerticalCenter | TextFormatFlags.Right);
        }
    }
}
