﻿using System;

namespace PmsWebApi
{
    public class Result
    {
        /// <summary>
        /// 返回值代码 
        /// 0：成功
        /// 1：失败
        /// 2: 参数错误
        /// 3: 调用失败
        /// </summary>
        public int resCode = 3;
        /// <summary>
        /// 返回值 信息提示
        /// </summary>
        public string resMsg = "";
        /// <summary>
        /// 业务编码 [返回调用的接口名称]
        /// </summary>
        public string BizCode = "";
        /// <summary>
        /// 业务内容 如果是查询接口 则返回数据Json串
        /// </summary>
        public string resData = "";
        /// <summary>
        /// 返回时间 时间格式化为 DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss")
        /// </summary>
        public string ResTime = "";
    }
}

