﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace IOTransmissionAbutment
{
    public partial class DebugForm : Form
    {
        bool isSended = false;
        bool isSRecieved = false;
        private delegate void MyDelegate();
        public DebugForm()
        {
            InitializeComponent();
            DeviceManager.SendReport += AppendSend;
            TCPServer.ReceiveReport += AppendRecieve;
            ckbSend.CheckedChanged += CkbSend_CheckedChanged;
            ckbReceive.CheckedChanged += CkbReceive_CheckedChanged;
            btnClear.Click += BtnClear_Click;
            var menuItem = new MenuItem("Copy");
            menuItem.Click += MenuItem_Click;
            var contextMenu = new ContextMenu();
            contextMenu.MenuItems.Add(menuItem);
            richTextBox1.ContextMenu = contextMenu;
        }

        private void CkbReceive_CheckedChanged(object sender, EventArgs e)
        {
            if (ckbReceive.Checked)
            {
                isSRecieved = true;
            }
            else
            {
                isSRecieved = false;
            }
        }

        private void MenuItem_Click(object sender, EventArgs e)
        {
            richTextBox1.Copy();
        }

        private void BtnClear_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
        }

        private void CkbSend_CheckedChanged(object sender, EventArgs e)
        {
            if (ckbSend.Checked)
            {
                isSended = true;
            }
            else
            {
                isSended = false;

            }
        }

        void AppendSend(string value)
        {
            if (isSended)
            {
                if (richTextBox1.IsHandleCreated)
                {
                    try
                    {
                        MyDelegate d = delegate
                        {
                            richTextBox1.Focus();
                            richTextBox1.Select(richTextBox1.TextLength, 0);
                            richTextBox1.ScrollToCaret();
                            richTextBox1.AppendText("\r\n");
                            richTextBox1.AppendText(value);
                        };
                        richTextBox1.Invoke(d);
                    }
                    catch
                    {

                    }
                }
            }
        }

        void AppendRecieve(string value)
        {
            if (isSRecieved)
            {
                if (richTextBox1.IsHandleCreated)
                {
                    try
                    {
                        MyDelegate d = delegate
                        {
                            richTextBox1.Focus();
                            richTextBox1.Select(richTextBox1.TextLength, 0);
                            richTextBox1.ScrollToCaret();
                            richTextBox1.AppendText("\r\n");
                            richTextBox1.AppendText(value);
                        };
                        richTextBox1.Invoke(d);
                    }
                    catch
                    {

                    }
                }
            }
        }
    }
}
