﻿using System;
using System.Collections.Generic;

namespace PmsWebApi
{
    public class ResultCarrierInfo
    {
        public List<ResultAgvData> ResultAgvDataList = new List<ResultAgvData>();
    }

    public class ResultAgvData
    {
        /// <summary>
        /// agvID
        /// </summary>
        public int AgvID;
        /// <summary>
        /// 0：空闲，1：配送中，3：完成   默认值：65535
        /// </summary>
        public int Status;
        /// <summary>
        /// 任务ID
        /// </summary>
        public string OrderID;
        /// <summary>
        /// 当前X点
        /// </summary>
        public float MovementX;
        /// <summary>
        ///  当前Y点
        /// </summary>
        public float MovementY;
        /// <summary>
        /// 是否管制中
        /// </summary>
        public bool TrafficBlocked;
        /// <summary>
        /// 电量
        /// </summary>
        public int BatteryLevel;
    }
}

